DOM::HTMLTableRowElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLTableRowElement Class Reference

A row in a table. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableRowElement:

[legend]
Collaboration diagram for DOM::HTMLTableRowElement:

[legend]
List of all members.

## Public Member Functions
| HTMLTableRowElement (const HTMLTableRowElement &other)
| HTMLTableRowElement (const Node &other)
HTMLTableRowElement & | operator= (const HTMLTableRowElement &other)
HTMLTableRowElement & | operator= (const Node &other)
long | rowIndex () const
| The index of this row, relative to the entire table.
void | setRowIndex (long)
| see rowIndex
long | sectionRowIndex () const
| The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ).
void | setSectionRowIndex (long)
| see sectionRowIndex
HTMLCollection | cells () const
| The collection of cells in this row.
void | setCells (const HTMLCollection &)
| see cells
DOMString | align () const
| Horizontal alignment of data within cells of this row.
void | setAlign (const DOMString &)
| see align
DOMString | bgColor () const
| Background color for rows.
void | setBgColor (const DOMString &)
| see bgColor
DOMString | ch () const
| Alignment character for cells in a column.
void | setCh (const DOMString &)
| see ch
DOMString | chOff () const
| Offset of alignment character.
void | setChOff (const DOMString &)
| see chOff
DOMString | vAlign () const
| Vertical alignment of data within cells of this row.
void | setVAlign (const DOMString &)
| see vAlign
HTMLElement | insertCell (long index)
| Insert an empty `TD` cell into this row.
void | deleteCell (long index)
| Delete a cell from the current row.
## Protected Member Functions
| HTMLTableRowElement (HTMLTableRowElementImpl *impl)
## Friends
class | HTMLTableElement

## Detailed Description

A row in a table.

See the TR element definition in HTML 4.0.

Definition at line 725 of file html_table.h.

## Member Function Documentation

long HTMLTableRowElement::rowIndex | ( |  | ) | const

| The index of this row, relative to the entire table. This is in logical order and not in document order. The rowIndex does take into account sections (THEAD, TFOOT or TBODY) within the table, placing THEAD rows first in the index, followed by TBODY rows, followed by TFOOT rows. Definition at line 656 of file html_table.cpp.

void HTMLTableRowElement::setRowIndex | ( | long |  | ) |

| see rowIndex This function is obsolete - the rowIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html) Definition at line 662 of file html_table.cpp.

long HTMLTableRowElement::sectionRowIndex | ( |  | ) | const

| The index of this row, relative to the current section ( `THEAD` , `TFOOT` , or `TBODY` ). Definition at line 667 of file html_table.cpp.

void HTMLTableRowElement::setSectionRowIndex | ( | long |  | ) |

| see sectionRowIndex This function is obsolete - the sectionRowIndex property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html) Definition at line 673 of file html_table.cpp.

HTMLCollection HTMLTableRowElement::cells | ( |  | ) | const

| The collection of cells in this row. Definition at line 678 of file html_table.cpp.

void HTMLTableRowElement::setCells | ( | const HTMLCollection & |  | ) |

| see cells This function is obsolete - the cells property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html) Definition at line 684 of file html_table.cpp.

DOMString HTMLTableRowElement::align | ( |  | ) | const

| Horizontal alignment of data within cells of this row. See the align attribute definition in HTML 4.0. Definition at line 689 of file html_table.cpp.

void HTMLTableRowElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 695 of file html_table.cpp.

DOMString HTMLTableRowElement::bgColor | ( |  | ) | const

| Background color for rows. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 700 of file html_table.cpp.

void HTMLTableRowElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 706 of file html_table.cpp.

DOMString HTMLTableRowElement::ch | ( |  | ) | const

| Alignment character for cells in a column. See the char attribute definition in HTML 4.0. Definition at line 711 of file html_table.cpp.

void HTMLTableRowElement::setCh | ( | const DOMString & |  | ) |

| see ch Definition at line 717 of file html_table.cpp.

DOMString HTMLTableRowElement::chOff | ( |  | ) | const

| Offset of alignment character. See the charoff attribute definition in HTML 4.0. Definition at line 722 of file html_table.cpp.

void HTMLTableRowElement::setChOff | ( | const DOMString & |  | ) |

| see chOff Definition at line 728 of file html_table.cpp.

DOMString HTMLTableRowElement::vAlign | ( |  | ) | const

| Vertical alignment of data within cells of this row. See the valign attribute definition in HTML 4.0. Definition at line 733 of file html_table.cpp.

void HTMLTableRowElement::setVAlign | ( | const DOMString & |  | ) |

| see vAlign Definition at line 739 of file html_table.cpp.

HTMLElement HTMLTableRowElement::insertCell | ( | long | index | ) |

  | Insert an empty `TD` cell into this row. If index is -1 or equal to the number of cells, the new cell is appended. Parameters:
  index | The place to insert the cell.
Returns: The newly created cell. Definition at line 744 of file html_table.cpp.

void HTMLTableRowElement::deleteCell | ( | long | index | ) |

  | Delete a cell from the current row. Parameters:
  index | The index of the cell to delete, starting from 0. If the index is -1 the last cell in the row is deleted.
Returns: Definition at line 754 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:46 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001